# Allocations API v1

**Overview**

Get all token allocations as well as Tokenomist' own methodology of comparable allocation standards.&#x20;

See more details about our [Standard Allocation](/tokenomist-pro/standard-allocation.md)

## Getting Started

#### **Base URL** <a href="#base-url" id="base-url"></a>

```
https://api.unlocks.app
```

#### **Authentication** <a href="#authentication" id="authentication"></a>

Provide your api key in the `x-api-key` header.

<pre><code><strong>GET https://api.unlocks.app/v1/allocations
</strong>HEADER: x-api-key: &#x3C;YOUR_API_KEY>
</code></pre>

## **Endpoints: Allocations** <a href="#endpoints" id="endpoints"></a>

**Parameters**

Note: `tokenId` needs to be specified.

* tokenId (required): Get `tokenId` from [Token List API](/api-documents/api-endpoints/token-list-api.md)

**Example:**

```
curl -X 'GET' \
  'https://api.unlocks.app/v1/allocations?tokenId=optimism' \
  -H 'x-api-key: $YOUR_API_KEY'
```

**Response**

```json
{
    "metadata": {
        "queryDate": "2024-06-24T13:29:11Z"
    },
    "status": true,
    "data": {
        "name": "Optimism",
        "symbol": "OP",
        "maxSupply": 4294967296,
        "lastUpdatedDate": "2024-06-18T09:07:49Z",
        "totalUnlockedAmount": 1133988512.7000003,
        "totalLockedAmount": 929041330.499999,
        "totalUntrackedAmount": 0.8000006675720215,
        "totalTBDLockedAmount": 2231937452,
        "allocations": [
            {
                "allocationName": "Core Contributors",
                "allocationType": "Scheduled",
                "standardAllocationName": "Founder / Team",
                "allocationUnlockedAmount": 402508084,
                "allocationLockedAmount": 413535702,
                "allocationAmount": 816043786,
                "trackedAllocationPercentage": 18.999999994412065
            },
            {
                "allocationName": "Seed Fund",
                "allocationType": "TBD",
                "standardAllocationName": "Private Investors",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 231928234,
                "allocationAmount": 231928234,
                "trackedAllocationPercentage": 5.400000000372529
            },
            {
                "allocationName": "Investors",
                "allocationType": "Scheduled",
                "standardAllocationName": "Private Investors",
                "allocationUnlockedAmount": 360138811.7,
                "allocationLockedAmount": 370005628.5000002,
                "allocationAmount": 730144440.2000002,
                "trackedAllocationPercentage": 16.999999997206036
            },
            {
                "allocationName": "Unallocated Ecosystem Fund",
                "allocationType": "Scheduled",
                "standardAllocationName": "Reserve",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 135500000,
                "allocationAmount": 135500000,
                "trackedAllocationPercentage": 3.1548552215099335
            },
            {
                "allocationName": "Unallocated Ecosystem Fund",
                "allocationType": "TBD",
                "standardAllocationName": "Reserve",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 242457122,
                "allocationAmount": 242457122,
                "trackedAllocationPercentage": 5.645144777372479
            },
            {
                "allocationName": "Partner Fund",
                "allocationType": "Scheduled",
                "standardAllocationName": "Reserve",
                "allocationUnlockedAmount": 1712000,
                "allocationLockedAmount": 0,
                "allocationAmount": 1712000,
                "trackedAllocationPercentage": 0.03986060619354248
            },
            {
                "allocationName": "Partner Fund",
                "allocationType": "TBD",
                "standardAllocationName": "Reserve",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 230216234,
                "allocationAmount": 230216234,
                "trackedAllocationPercentage": 5.3601393941789865
            },
            {
                "allocationName": "User Airdrops",
                "allocationType": "Scheduled",
                "standardAllocationName": "Community",
                "allocationUnlockedAmount": 256245713,
                "allocationLockedAmount": 0,
                "allocationAmount": 256245713,
                "trackedAllocationPercentage": 5.966185429133475
            },
            {
                "allocationName": "User Airdrops",
                "allocationType": "TBD",
                "standardAllocationName": "Community",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 559798073,
                "allocationAmount": 559798073,
                "trackedAllocationPercentage": 13.03381456527859
            },
            {
                "allocationName": "Retroactive Public Goods Funding",
                "allocationType": "Scheduled",
                "standardAllocationName": "Community",
                "allocationUnlockedAmount": 41000000,
                "allocationLockedAmount": 10000000,
                "allocationAmount": 51000000,
                "trackedAllocationPercentage": 1.187436282634735
            },
            {
                "allocationName": "Retroactive Public Goods Funding",
                "allocationType": "TBD",
                "standardAllocationName": "Community",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 807993459,
                "allocationAmount": 807993459,
                "trackedAllocationPercentage": 18.812563712708652
            },
            {
                "allocationName": "Governance Fund",
                "allocationType": "Scheduled",
                "standardAllocationName": "Community",
                "allocationUnlockedAmount": 72383904,
                "allocationLockedAmount": 0,
                "allocationAmount": 72383904,
                "trackedAllocationPercentage": 1.6853190958499908
            },
            {
                "allocationName": "Governance Fund",
                "allocationType": "TBD",
                "standardAllocationName": "Community",
                "allocationUnlockedAmount": 0,
                "allocationLockedAmount": 159544330,
                "allocationAmount": 159544330,
                "trackedAllocationPercentage": 3.714680904522538
            }
        ]
    }
}
```

The response includes time series data with the date (in UTC timezone), with granularity at the level of week.

**Return Fields Explanation**

| Fields               | Data Type | Description                                                    |
| -------------------- | --------- | -------------------------------------------------------------- |
| name                 | string    | Token Name                                                     |
| symbol               | string    | Token Symbol                                                   |
| maxSupply            | number    | Max supply for the token (Will be null if no data are present) |
| lastUpdatedDate      | timestamp | Last updated date of token                                     |
| totalUnlockedAmount  | number    | Total current unlocked amount                                  |
| totalLockedAmount    | number    | Total current locked token amount                              |
| totalUntrackedAmount | number    | Total current untracked amount                                 |
| totalTBDLockedAmount | number    | Total current TBD locked amount                                |

**Return Fields Explanation: Allocations**

| Fields                      | Data Type | Description                                           |
| --------------------------- | --------- | ----------------------------------------------------- |
| allocationName              | string    | Allocation name                                       |
| allocationType              | string    | Type of allocation (Schedule, TBD, Untracked)         |
| standardAllocationName      | string    | Standard allocation of this allocation                |
| allocationUnlockedAmount    | number    | Current unlocked amount of the allocation             |
| allocationLockedAmount      | number    | Current locked amount of the allocation               |
| allocationAmount            | number    | Total token amount assign to this allocation          |
| trackedAllocationPercentage | number    | Total track allocation percentage not include untrack |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unlocks.app/api-documents/api-endpoints/allocations-api/allocations-api-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
